Package ru.bitel.bgbilling.modules.mangooffice.common.bean

# Class MangoPhone

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.mangooffice.common.bean.MangoPhone

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class MangoPhone extends IdContractId
Номер телефона привязанного к продукту

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MangoPhone()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccountProductId()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `String`
  `getPhone()`
  `int`
  `getStatus()`
  `MangoPhone`
  `setAccountProductId(int accountProductId)`
  `MangoPhone`
  `setContractId(int contractId)`
  `MangoPhone`
  `setDateFrom(Date dateAdd)`
  `MangoPhone`
  `setDateTo(Date dateDelete)`
  `MangoPhone`
  `setPhone(String phone)`
  `MangoPhone`
  `setStatus(int status)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MangoPhone

    public MangoPhone()

- ## Method Details

  - ### getAccountProductId

    public int getAccountProductId()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getPhone

    public String getPhone()

  - ### getStatus

    public int getStatus()

  - ### setAccountProductId

    public MangoPhone setAccountProductId(int accountProductId)

  - ### setContractId

    public MangoPhone setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setDateFrom

    public MangoPhone setDateFrom(Date dateAdd)

  - ### setDateTo

    public MangoPhone setDateTo(Date dateDelete)

  - ### setPhone

    public MangoPhone setPhone(String phone)

  - ### setStatus

    public MangoPhone setStatus(int status)